PUT
/v1/registries/name/{registryName}/schemas/name/{schemaName}
http://schemas.{region}.amazonaws.com/v1/registries/name/{registryName}/schemas/name/{schemaName}<p>Updates the schema definition</p> <note><p>Inactive schemas will be deleted after two years.</p></note>
Access Token Required: API Key
Path Parameters
registryNamestringrequired
The name of the registry.
schemaNamestringrequired
The name of the schema.
Body Params
Typestring
The schema type for the events schema.
Contentstring
The source of the schema definition.
Descriptionstring
The description of the schema.
ClientTokenIdstring
The ID of the client token.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request PUT \2 --url 'http://schemas.{region}.amazonaws.com/v1/registries/name/{registryName}/schemas/name/{schemaName}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}